<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imdecorrstretch</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imdeconvwiener.html">&lt;&lt; imdeconvwiener</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imhistequal.html">imhistequal &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a> &gt; imdecorrstretch</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imdecorrstretch</h1>
    <p class="refpurpose">Apply decorrelation stretch to multichannel image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">S</span><span class="default"> = </span><span class="functionid">imdecorrstretch</span><span class="default">(</span><span class="default">I</span><span class="default">, </span><span class="default">tol</span><span class="default">, </span><span class="default">useCorr</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">I :</span>
      <dd><p class="para">Input image</p></dd></dt>
   <dt><span class="term">tol :</span>
      <dd><p class="para">The fraction of the image to saturate at low and high intensities. If tol is an scalar, high intensity is 1 - tol.</p></dd></dt>
   <dt><span class="term">useCorr :</span>
      <dd><p class="para">1 to use correlation method, 0 to use covariance method.</p></dd></dt>
   <dt><span class="term">S :</span>
      <dd><p class="para">Stretched output image</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">The primary purpose of decorrelation stretch is visual enhancement. Decorrelation stretching is a way to enhance the color differences in an image.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/</span><span class="scilabstring">&#0034;</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">baboon.png</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S2</span> <span class="scilaboperator">=</span> <span class="scilabid">imdecorrstretch</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://subplot">subplot</a><span class="scilabopenclose">(</span><span class="scilabnumber">121</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span><span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://subplot">subplot</a><span class="scilabopenclose">(</span><span class="scilabnumber">122</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span><span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imadjust.html" class="link">imadjust</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imdeconvwiener.html">&lt;&lt; imdeconvwiener</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imhistequal.html">imhistequal &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
